# DisplayData Struct Reference

`#include <Voxel_VisData.h>`

## Public Member Functions

| Handle (Quantity_HArray1OfColor) myColors

## Data Fields

Voxel_VoxelDisplayMode | myDisplayMode
unsigned char | myColorMinValue
unsigned char | myColorMaxValue
double | myDisplayedXMin
double | myDisplayedXMax
double | myDisplayedYMin
double | myDisplayedYMax
double | myDisplayedZMin
double | myDisplayedZMax
Quantity_Color | myColor
double | myPointSize
int | myQuadrangleSize
unsigned char | mySmoothPoints
double | myTransparency
int | myBoolPointsList
unsigned char | myBoolPointsFirst
int | myBoolNearestPointsList [7]
unsigned char | myBoolNearestPointsFirst
int | myColorPointsList
unsigned char | myColorPointsFirst
int | myColorNearestPointsList [7]
unsigned char | myColorNearestPointsFirst
int | myTriangulationList
unsigned char | myUsageOfGLlists
unsigned char | myDegenerateMode
int | myHighlightx
int | myHighlighty
int | myHighlightz

## Member Function Documentation

DisplayData::Handle | ( | Quantity_HArray1OfColor |  | ) |

## Field Documentation

unsigned char DisplayData::myBoolNearestPointsFirst

int DisplayData::myBoolNearestPointsList[7]

unsigned char DisplayData::myBoolPointsFirst

int DisplayData::myBoolPointsList

Quantity_Color DisplayData::myColor

unsigned char DisplayData::myColorMaxValue

unsigned char DisplayData::myColorMinValue

unsigned char DisplayData::myColorNearestPointsFirst

int DisplayData::myColorNearestPointsList[7]

unsigned char DisplayData::myColorPointsFirst

int DisplayData::myColorPointsList

unsigned char DisplayData::myDegenerateMode

double DisplayData::myDisplayedXMax

double DisplayData::myDisplayedXMin

double DisplayData::myDisplayedYMax

double DisplayData::myDisplayedYMin

double DisplayData::myDisplayedZMax

double DisplayData::myDisplayedZMin

Voxel_VoxelDisplayMode DisplayData::myDisplayMode

int DisplayData::myHighlightx

int DisplayData::myHighlighty

int DisplayData::myHighlightz

double DisplayData::myPointSize

int DisplayData::myQuadrangleSize

unsigned char DisplayData::mySmoothPoints

double DisplayData::myTransparency

int DisplayData::myTriangulationList

unsigned char DisplayData::myUsageOfGLlists

The documentation for this struct was generated from the following file:

- Voxel_VisData.h